<?php
include("include/config.php");
include("include/protect.class.php");
include("include/jdf.php");
include('include/functions.php');
$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
mysql_query("SET NAMES utf8");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>محله ها </title>
<link rel="stylesheet" type="text/css" href="fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script type="text/javascript" src="fancybox/jquery.fancybox-1.3.1.js"></script>
<?php include("maintemplate/mainheader.php");?>
<script language="JavaScript" src="maintemplate/js/gen_validatorv4.js" type="text/javascript" xml:space="preserve"></script>
</head>
<body>
<div id="wpwrap">
<div id="wpcontent">
	<?php include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><br></div>
                <h2>محله ها</h2>
               
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
                                            <?php
	if(isset($_GET['del'])){
		if(isset($_GET['AID']) && ($_GET['AID'] != '')){
			
		$db->execute("delete from kind where id = '".(int)$_GET['AID']."'");

		
		echo debug_message('محله با موفقیت حذف شد','2','98');
		
		echo '<form action="kind.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		}
}
?>
                     <?php 
                if(isset($_GET['insert'])){
							
					
		$db->execute("insert kind set
		 name = '".$db->safe_string($_POST['name'])."',
		 operator = '".$db->safe_string($_POST['operator'])."',
		 price1 = '".$db->safe_string($_POST['price1'])."',
		 price2 = '".$db->safe_string($_POST['price2'])."',
		 price3 = '".$db->safe_string($_POST['price3'])."',
		 price4 = '".$db->safe_string($_POST['price4'])."',
		 price5 = '".$db->safe_string($_POST['price5'])."'
		 ");
			
		echo debug_message('محله جدید با موفقیت اضافه شد...','2','98');
		
		echo '<form action="kind.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		
		}elseif(isset($_GET['update'])){
			
			 $db->execute("update kind set
		 name = '".$db->safe_string($_POST['name'])."',
		 operator = '".$db->safe_string($_POST['operator'])."',
		 price1 = '".$db->safe_string($_POST['price1'])."',
		 price2 = '".$db->safe_string($_POST['price2'])."',
		 price3 = '".$db->safe_string($_POST['price3'])."',
		 price4 = '".$db->safe_string($_POST['price4'])."',
		 price5 = '".$db->safe_string($_POST['price5'])."'
		 where id='".$_GET['AID']."'
		 ");

			echo debug_message('محله مورد نظر با موفقیت ویرایش شد...','2','98');
		
		echo '<form action="kind.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';
		}else{?>
                         <div class="postbox-container" style="width:68%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>  اضافه کردن محله </span></h3>
                                <div style="padding:10px; line-height:24px">

<?php
	

	
			$form_action = 'insert';
		if(isset($_GET['AID'])){
			$sql = $db->query("select * from kind where id = '".(int)$_GET['AID']."'");
			$res = $db->fetchNextArray($sql);
			$form_action = 'update&AID='.$_GET['AID'];
		}
?>
<div class="inside" style="">
<form action="kind.php?do=add_kind&<?php echo $form_action; ?>" method="post" name="form1" id="form1" enctype="multipart/form-data">
<table class="form-table">
<tbody>
<tr class="even" valign="top">
<th scope="row"><label for="name">نام</label></th>
<td><input name="name"  id="name" size="16" value="<?php echo $res['name']; ?>" dir="ltr" class="regular-text" type="text"> ریالی
<div id='form1_name_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><label for="operator">اپراتور</label></th>
<td><select id="operator" name="operator">
		<?php 
	$estores = $db->query("select * from  operator");

		while($stores = $db->fetchNextArray($estores)){
			$e_checkf = $db->query("select * from kind where id ='".(int)$_GET['AID']."'");
			$checkf = $db->fetchNextArray($e_checkf);
			if ($checkf['operator']==$stores['id']){$checkresf='selected="selected"';}else{$checkresf='';}	
	?>
    
	<option value="<?php echo $stores['id'];?>" <?php echo $checkresf;?> ><?php echo $stores['name'];?></option>
    <?php } ?>
    
</select>
</td>
</tr>
<tr class="even" valign="top">
<th scope="row"><label for="price1">قیمت معمولی-کاربران</label></th>
<td><input name="price1"  id="price1" size="16" value="<?php echo $res['price1']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_price1_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><label for="price2">قیمت فروشگاه ها</label></th>
<td><input name="price2"  id="price2" size="16" value="<?php echo $res['price2']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_price2_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="even" valign="top">
<th scope="row"><label for="price3">قیمت نمایندگان</label></th>
<td><input name="price3"  id="price3" size="16" value="<?php echo $res['price3']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_price3_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><label for="price4">قیمت خرید عمده</label></th>
<td><input name="price4"  id="price4" size="16" value="<?php echo $res['price4']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_price4_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="even" valign="top">
<th scope="row"><label for="price5">قیمت خرید پین</label></th>
<td><input name="price5"  id="price5" size="16" value="<?php echo $res['price5']; ?>" dir="ltr" class="regular-text" type="text">
<div id='form1_price5_errorloc' class="error_strings"></div>
</td>
</tr>
</tbody></table>


<p class="submit">
<input name="process" class="button-primary" value="ذخیره" type="submit">
</p>
</form>
<script language="JavaScript" type="text/javascript"
    xml:space="preserve">//<![CDATA[
//You should create the validator only after the definition of the HTML form
  var frmvalidator  = new Validator("form1");
    frmvalidator.EnableOnPageErrorDisplay();
    frmvalidator.EnableMsgsTogether();


	frmvalidator.addValidation("name","req","وارد کردن نام محله ضروری است");
	frmvalidator.addValidation("name","numeric","باید حتما عدد وارد کنید");
	
	frmvalidator.addValidation("price1","numeric","باید حتما عدد وارد کنید");
	frmvalidator.addValidation("price1","req","وارد کردن این فیلد ضروری است");
	
	frmvalidator.addValidation("price2","numeric","باید حتما عدد وارد کنید");
	frmvalidator.addValidation("price2","req","وارد کردن این فیلد ضروری است");
	
	frmvalidator.addValidation("price3","numeric","باید حتما عدد وارد کنید");
	frmvalidator.addValidation("price3","req","وارد کردن این فیلد ضروری است");
	
	frmvalidator.addValidation("price4","numeric","باید حتما عدد وارد کنید");
	frmvalidator.addValidation("price4","req","وارد کردن این فیلد ضروری است");
	
	frmvalidator.addValidation("price5","numeric","باید حتما عدد وارد کنید");
	frmvalidator.addValidation("price5","req","وارد کردن این فیلد ضروری است");

//]]></script>
</div>
                                
                                </div>

                              </div>
                            </div>
                        </div>  
                        <div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>راهنما</h3>
<div class="inside">
برای اضافه کردن محله جدید از ستون سمت راست استفاده کنید و برای ویرایش آن روی گزینه ویرایش جلوی آن کلیک کنید
</div>

</div>

</div>
<div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>اضافه کردن محله جدید</h3>

<div class="inside">
<a href="kind.php"><div class="mybutton" style="width:310px;">اضافه کردن محله جدید</div></a>
</div>

</div>

</div>
<?php
		}?>
        <div class="postbox-container" style="width:98%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>  لیست محله ها </span></h3>
                             <div align="center" style="padding:5px;">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
				<th scope="col" id="rounded-q5">شماره</th>
                <th scope="col" id="rounded-q5">نام</th>
                <th scope="col" id="rounded-q5">اپراتور</th>
				<th scope="col" id="rounded-q5">قیمتها</th>
                <th scope="col" id="rounded-q5">ویرایش</th>
                <th scope="col" id="rounded-q5"> حذف</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="kind";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/

	$query = "SELECT COUNT(*) as num FROM $tbl_name";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "kind.php"; 	//your file name  (the name of this file)
	$limit = 20; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	
	$sql = "SELECT * FROM $tbl_name ORDER BY id DESC LIMIT $start, $limit";	
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//قبلی page is page - 1
	$next = $page + 1;							//بعدی page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//قبلی button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« قبلی</a>";
		else
			$pagination.= "<span class=\"disabled\">« قبلی</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//بعدی button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">بعدی »</a>";
		else
			$pagination.= "<span class=\"disabled\">بعدی »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
?>
					
<form action="convert">
        <td width="20"><?php echo $row['id'];?></td> 
        <td width="100"><?php echo $row['name'];?> ریالی</td> 
        <td ><?php $sql = $db->query("select * from operator where id = '".(int)$row['operator']."'");
			$res = $db->fetchNextArray($sql);?>
            <img src="include/image.php/name.jpg?parameters=@width=50@height=50@cropratio=1:1@quality=100@image=<?php echo $globalConfig['baseurl'].'/'.$res['image']; ?>" /><br/>
			<?php echo $res['name'];?></td> 
        <td ><div style="text-align:right; line-height:20px;">قیمت کابری معمولی:<?php echo $row['price1'];?> ریال <br/>
        قیمت فروشگاه ها:<?php echo $row['price2'];?> ریال <br/>
        قیمت نمایندگان:<?php echo $row['price3'];?> ریال <br/>
        قیمت عمده:<?php echo $row['price4'];?> ریال <br/>
        قیمت پین:<?php echo $row['price5'];?> ریال </div></td > 
        <td ><a href="kind.php?AID=<?php echo $row['id'];?>"><img src="images/pdo.png"></a></td> 
        <td ><a href="kind.php?del=true&AID=<?php echo $row['id'];?>"><img src="images/cros.gif"></a></td>
			<?php }
	?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>                 
                                                </div>

                              </div>
                            </div>
                        </div>



                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php } ?>